# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /srv/jenkins/workspace/AstroConda/public_RHEL-6_py3.7_np1.16/_dispatch/conda-recipes/hstcal, last modified Wed Mar 31 12:47:31 2021
# ------------------------------------------------

package:
    name: hstcal
    version: 2.6.0
source:
    git_rev: 2.6.0
    git_url: https://github.com/spacetelescope/hstcal.git
build:
    number: '0'
    string: '0'
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2021.1.19 h06a4308_1
        - certifi 2020.12.5 py37h06a4308_0
        - cfitsio 3.470 1
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gfortran_impl_linux-64 7.3.0 hdf63c60_1
        - gfortran_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libffi 3.3 he6710b0_2
        - libgcc 7.2.0 h69d50b8_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1k h27cfd23_0
        - pip 21.0.1 py37h06a4308_0
        - pkg-config 0.29.2 h1bed415_8
        - python 3.7.10 hdb3f193_0
        - readline 8.1 h27cfd23_0
        - setuptools 52.0.0 py37h06a4308_0
        - sqlite 3.35.3 hdfb4753_0
        - tk 8.6.10 hbc83047_0
        - wheel 0.36.2 pyhd3eb1b0_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - cfitsio
        - libgcc >=4.7
        - libgcc-ng >=7.3.0
        - libgfortran-ng >=7,<8.0a0
test:
    commands:
        - calacs.e --gitinfo
        - ldd $(which calacs.e)
about:
    home: https://github.com/spacetelescope/hstcal
    license: BSD
    summary: Calibration for HST/WFC3, HST/ACS, and HST/STIS
extra:
    copy_test_source_files: true
    final: true
